Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.props
Class BasicDockablePropertySet

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable
              org.flexdock.util.TypedHashtable
                  org.flexdock.docking.props.BasicDockablePropertySet

All Implemented Interfaces:
  Serializable, Cloneable, Map, DockingConstants, DockablePropertySet

Direct Known Subclasses:
  RootDockablePropertySet, ScopedDockablePropertySet

    public class BasicDockablePropertySet

extends TypedHashtable
implements DockablePropertySet, DockingConstants

Author:
  Christopher Butler
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.flexdock.docking.props.DockablePropertySet
`ACTIVE, DESCRIPTION, DOCKBAR_ICON, DOCKING_ENABLED, DRAG_THRESHOLD, MOUSE_MOTION_DRAG_BLOCK, PREVIEW_SIZE, REGION_SIZE_EAST, REGION_SIZE_NORTH, REGION_SIZE_SOUTH, REGION_SIZE_WEST, SIBLING_SIZE_EAST, SIBLING_SIZE_NORTH, SIBLING_SIZE_SOUTH, SIBLING_SIZE_WEST, TAB_ICON, TERRITORY_BLOCKED_CENTER, TERRITORY_BLOCKED_EAST, TERRITORY_BLOCKED_NORTH, TERRITORY_BLOCKED_SOUTH, TERRITORY_BLOCKED_WEST`

Fields inherited from interface org.flexdock.docking.DockingConstants
`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

Constructor Summary
`BasicDockablePropertySet(Dockable dockable)`
`BasicDockablePropertySet(int initialCapacity, Dockable dockable)`
`BasicDockablePropertySet(int initialCapacity, float loadFactor, Dockable dockable)`
`BasicDockablePropertySet(Map t, Dockable dockable)`

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener listener)`
`protected void` | `firePropertyChange(String property, boolean oldValue, boolean newValue)`
`protected void` | `firePropertyChange(String property, int oldValue, int newValue)`
`protected void` | `firePropertyChange(String property, Object oldValue, Object newValue)`
`String` | `getDockableDesc()`
`Icon` | `getDockbarIcon()`
`String` | `getDockingId()`
`Float` | `getDragThreshold()`
`Float` | `getPreviewSize()`
`Float` | `getRegionInset(String region)`
`static String` | `getRegionInsetKey(String region)`
`Float` | `getSiblingSize(String region)`
`static String` | `getSiblingSizeKey(String region)`
`Icon` | `getTabIcon()`
`static String` | `getTerritoryBlockedKey(String region)`
`Boolean` | `isActive()`
`Boolean` | `isDockingEnabled()`
`Boolean` | `isMouseMotionListenersBlockedWhileDragging()`
`Boolean` | `isTerritoryBlocked(String region)`
`void` | `removePropertyChangeListener(PropertyChangeListener listener)`
`void` | `setActive(boolean active)`
`void` | `setDockableDesc(String dockableDesc)`
`void` | `setDockbarIcon(Icon icon)`
`void` | `setDockingEnabled(boolean enabled)`
`void` | `setDragTheshold(float threshold)`
`void` | `setMouseMotionListenersBlockedWhileDragging(boolean blocked)`
`void` | `setPreviewSize(float previewSize)`
`void` | `setRegionInset(String region, float inset)`
`void` | `setSiblingSize(String region, float size)`
`void` | `setTabIcon(Icon icon)`
`void` | `setTerritoryBlocked(String region, boolean blocked)`

Methods inherited from class org.flexdock.util.TypedHashtable
`get, get, get, get, get, get, get, get, getBoolean, getByte, getChar, getDouble, getFloat, getInt, getLong, getShort, getString, put, put, put, put, put, put, put, put, put`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.flexdock.docking.props.DockablePropertySet
`put, remove`

Constructor Detail

### BasicDockablePropertySet

    public BasicDockablePropertySet(Dockable dockable)

### BasicDockablePropertySet

    public BasicDockablePropertySet(int initialCapacity,
                                    Dockable dockable)

### BasicDockablePropertySet

    public BasicDockablePropertySet(int initialCapacity,
                                    float loadFactor,
                                    Dockable dockable)

### BasicDockablePropertySet

    public BasicDockablePropertySet(Map t,
                                    Dockable dockable)

Method Detail

### getRegionInsetKey

    public static String getRegionInsetKey(String region)

### getSiblingSizeKey

    public static String getSiblingSizeKey(String region)

### getTerritoryBlockedKey

    public static String getTerritoryBlockedKey(String region)

### getDockbarIcon

    public Icon getDockbarIcon()

  Specified by:
    `getDockbarIcon` in interface `DockablePropertySet`

### getTabIcon

    public Icon getTabIcon()

  Specified by:
    `getTabIcon` in interface `DockablePropertySet`

### getDockableDesc

    public String getDockableDesc()

  Specified by:
    `getDockableDesc` in interface `DockablePropertySet`

### isDockingEnabled

    public Boolean isDockingEnabled()

  Specified by:
    `isDockingEnabled` in interface `DockablePropertySet`

### isActive

    public Boolean isActive()

  Specified by:
    `isActive` in interface `DockablePropertySet`

### isMouseMotionListenersBlockedWhileDragging

    public Boolean isMouseMotionListenersBlockedWhileDragging()

  Specified by:
    `isMouseMotionListenersBlockedWhileDragging` in interface `DockablePropertySet`

### getRegionInset

    public Float getRegionInset(String region)

  Specified by:
    `getRegionInset` in interface `DockablePropertySet`

### getSiblingSize

    public Float getSiblingSize(String region)

  Specified by:
    `getSiblingSize` in interface `DockablePropertySet`

### isTerritoryBlocked

    public Boolean isTerritoryBlocked(String region)

  Specified by:
    `isTerritoryBlocked` in interface `DockablePropertySet`

### getDragThreshold

    public Float getDragThreshold()

  Specified by:
    `getDragThreshold` in interface `DockablePropertySet`

### getPreviewSize

    public Float getPreviewSize()

  Specified by:
    `getPreviewSize` in interface `DockablePropertySet`

### setDockbarIcon

    public void setDockbarIcon(Icon icon)

  Specified by:
    `setDockbarIcon` in interface `DockablePropertySet`

### setTabIcon

    public void setTabIcon(Icon icon)

  Specified by:
    `setTabIcon` in interface `DockablePropertySet`

### setDockableDesc

    public void setDockableDesc(String dockableDesc)

  Specified by:
    `setDockableDesc` in interface `DockablePropertySet`

### setDockingEnabled

    public void setDockingEnabled(boolean enabled)

  Specified by:
    `setDockingEnabled` in interface `DockablePropertySet`

### setActive

    public void setActive(boolean active)

  Specified by:
    `setActive` in interface `DockablePropertySet`

### setMouseMotionListenersBlockedWhileDragging

    public void setMouseMotionListenersBlockedWhileDragging(boolean blocked)

  Specified by:
    `setMouseMotionListenersBlockedWhileDragging` in interface `DockablePropertySet`

### setRegionInset

    public void setRegionInset(String region,
                               float inset)

  Specified by:
    `setRegionInset` in interface `DockablePropertySet`

### setSiblingSize

    public void setSiblingSize(String region,
                               float size)

  Specified by:
    `setSiblingSize` in interface `DockablePropertySet`

### setTerritoryBlocked

    public void setTerritoryBlocked(String region,
                                    boolean blocked)

  Specified by:
    `setTerritoryBlocked` in interface `DockablePropertySet`

### setDragTheshold

    public void setDragTheshold(float threshold)

  Specified by:
    `setDragTheshold` in interface `DockablePropertySet`

### setPreviewSize

    public void setPreviewSize(float previewSize)

  Specified by:
    `setPreviewSize` in interface `DockablePropertySet`

### getDockingId

    public String getDockingId()

  Specified by:
    `getDockingId` in interface `DockablePropertySet`
  Returns:
    Returns the dockingId.

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener listener)

  Specified by:
    `addPropertyChangeListener` in interface `DockablePropertySet`

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener listener)

  Specified by:
    `removePropertyChangeListener` in interface `DockablePropertySet`

### firePropertyChange

    protected void firePropertyChange(String property,
                                      Object oldValue,
                                      Object newValue)

### firePropertyChange

    protected void firePropertyChange(String property,
                                      int oldValue,
                                      int newValue)

### firePropertyChange

    protected void firePropertyChange(String property,
                                      boolean oldValue,
                                      boolean newValue)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD